"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.awrap = exports.wrap = void 0;
const iterator_1 = require("./iterator");
const async_iterator_1 = require("./async-iterator");
function wrap(func) {
    return function (...args) {
        // @ts-expect-error
        return iterator_1.iter(func.call(this, ...args));
    };
}
exports.wrap = wrap;
function awrap(func) {
    return function (...args) {
        // @ts-expect-error
        return async_iterator_1.aiter(func.call(this, ...args));
    };
}
exports.awrap = awrap;
